package com.fs.company.service;

import java.util.List;
import com.fs.company.domain.CompanyVoiceMobile;
import com.fs.company.vo.CompanyVoiceMobileVO;

/**
 * 中间号Service接口
 * 
 * @author fs
 * @date 2021-10-04
 */
public interface ICompanyVoiceMobileService 
{
    /**
     * 查询中间号
     * 
     * @param mobileId 中间号ID
     * @return 中间号
     */
    public CompanyVoiceMobile selectCompanyVoiceMobileById(Long mobileId);

    /**
     * 查询中间号列表
     * 
     * @param companyVoiceMobile 中间号
     * @return 中间号集合
     */
    public List<CompanyVoiceMobile> selectCompanyVoiceMobileList(CompanyVoiceMobile companyVoiceMobile);

    /**
     * 新增中间号
     * 
     * @param companyVoiceMobile 中间号
     * @return 结果
     */
    public int insertCompanyVoiceMobile(CompanyVoiceMobile companyVoiceMobile);

    /**
     * 修改中间号
     * 
     * @param companyVoiceMobile 中间号
     * @return 结果
     */
    public int updateCompanyVoiceMobile(CompanyVoiceMobile companyVoiceMobile);

    /**
     * 批量删除中间号
     * 
     * @param mobileIds 需要删除的中间号ID
     * @return 结果
     */
    public int deleteCompanyVoiceMobileByIds(Long[] mobileIds);

    /**
     * 删除中间号信息
     * 
     * @param mobileId 中间号ID
     * @return 结果
     */
    public int deleteCompanyVoiceMobileById(Long mobileId);

    List<CompanyVoiceMobileVO> selectCompanyVoiceMobileVOList(CompanyVoiceMobile companyVoiceMobile);

    CompanyVoiceMobile selectEmptyCompanyVoiceMobile(Long companyId,Long apiId);

    Integer selectCompanyVoiceMobileCount();

    CompanyVoiceMobile selectCompanyVoiceMobileByMobile(String mobile);

    String importMobile(List<CompanyVoiceMobile> list);
}
